Search and Rescue(6)

NAME

SearchAndRescue - Air rescue flight simulator

SYNTAX

SearchAndRescue [options] [GUI_options]

DESCRIPTION

Helicopter based search and rescue flight simulator. Pilot a variety of user editable rescue aircraft through customizeable missions and rescue victims in distress. Uses OpenGL and glX for graphics, and for sound Ylib (deprecated as obsolete), SDL and SDL_Mixer (optional) and libjsw for joystick support (not available on all platforms).

OPTIONS

--config <file>
    Load configuration from <file>.

--rcfile
    Same as --config.

-f  Same as --config.

--control <type>
    Specify which controller to use at start up. <type> can be keyboard (default) or joystick.

-c  Same as --control.

--hardware_rendering
    Use direct hardware rendering (default).

--software_rendering
    Use software rendering instead of direct hardware rendering.

--full_menu_redraw
    Always perform full (not partial) menu redraws (slow but required for certain accelerated video cards).

--display <address>
    Specifies display address (UNIX/X version only).

--font <name>
    Specifies the default font to use on GUI related outputs. Refer to your GUI manual for the proper font name formats.

--geometry <WxH+X+Y>
    Specifies the geometry of the toplevel window, example "--geometry 640x480+100+120" to make the window 640 by 480 pixels in size and at coordinate position 100,120 (relative to the root window/desktop).

--fullscreen
    Specifies to switch to full screen on startup, use this if and only if your GUI does not support manual switching to full screen. You may need to specify the --geometry argument to specify the size of the full screen resolution.

--aspect_offset <coeff>
    Specifies a floating coefficient value to be applied to screen aspect calculations, example a value of -0.2 when your screen is 800 by 600 then the aspect would be 800/600 + (-0.2) = 1.333 - 0.2 = 1.133.

--recorder <address>
    Specifies recorder address (UNIX/Y version only).

--nosound
    Do not connect to sound server at startup (overrides the value set in the configuration).

--nomenubg
    No menu background images (speeds up the redrawing when in the menus).

--console_quiet
    Do not print routine messages to stdout.

--runtime_debug
    Print debugging runtime detection of various resources to stdout. This may help detect points of failure or crash during startup or exiting.

--internal_debug
    Print debugging of internal runtime information (messy and terse) to stdout. This will only print debugging information about internal resources belonging to the program.

--help
    Prints (this) help screen and exits.

--version
    Prints version information and exits.

FILES

/usr/shared/icons/SearchAndRescue.xpm
    Default desktop icon for this program.

$HOME/.SearchAndRescue/SearchAndRescue.ini
    Local configuration file.

/usr/share/games/searchandrescue/
    Data directory for this program's proprietery data files.

/usr/share/games/searchandrescue/human.ini
    Preset values list for humanoid objects.

/usr/share/games/searchandrescue/music.ini
    List of music file referances for corresponding situations.

/usr/share/games/searchandrescue/textures.ini
    List of default textures to be loaded during simulation.

/usr/share/games/searchandrescue/weather.ini
    Preset weather values for a list of defined weather conditions.

ENVIRONMENT VARIABLES

SEARCHANDRESCUE_DATA Specifies alternate global data directory for this program.

DISPLAY
    Specifies the address to the X display.

HOME
    Specifies the home directory.

MESA_GAMMA
    Specifies the gamma value, used only on software rendering with the Mesa3D library.

EXAMPLES

To run this program the standard way, type:

# SearchAndRescue &

To run in full screen mode at 640x480 resolution, type:

# SearchAndRescue --geometry "640x480" --fullscreen &

To specify the geometry and force software rendering, type:

# SearchAndRescue --geometry "640x480+240+350" --software_rendering &

KEYBOARD

General keys (can be used anywhere):

CTRL + F11
    Toggles between full screen and windowed modes.

CTRL + ]
    Increase resolution to the next step.

CTRL + [
    Decrease resolution to the previous step.

CTRL + C
    Screen shot. Saved as sar1.tga, sar2.tga, etc in directory from which SearchAndRescue is run.

Menu keys:

TAB Focus next.

SHIFT + TAB
    Focus previous.

CURSORS
    Focus change/highlight/scroll.

ENTER
    Activate focused.

Simulation keys:

F1  Display `quick help'.

F2  Switch to cockpit view.

F3  Spot view.

F4  Fly by tower view.

F5  Rescue basket view.

LEFT
    Bank left.

RIGHT
    Bank right.

DOWN
    Pitch down.

UP  Pitch up.

CTRL + LEFT
    Heading left.

CTRL + RIGHT
    Heading right.

SHIFT + CURSORS
    Change camera direction or position.

BACKSPACE
    Normalize view.

PGUP
    Increase throttle.

PGDN
    Decrease throttle.

HOME
    Elevator trim down or slew up in slew mode.

END Elevator trim up or slew down in slew mode.

CTRL + HOME
    Elevator trim center.

MINUS
    Zoom out.

PLUS
    Zoom in.

CTRL + MINUS
    Rescue basket hoist out.

CTRL + PLUS
    Rescue basket hoist in.

E   Start up engines.

SHIFT + E
    Turn engines off.

Y   Tilt rotors/pitch engines.

G   Raise/lower landing gears (retractable gears only).

P   Select hoist deployment type.

D   Close/open door.

O   Toggle strobes (flashing lights).

L   Toggle lighting (including spot light).

SHIFT + L
    Toggle spot light.

CTRL + L
    Center spot light.

H   HUD and outside text brighten.

SHIFT + H
    HUD and outside text darken.

A   Autopilot/autohover on/off.

M   Map view.

W   Select next way point.

SHIFT + W
    Select previous way point.

I   FLIR (night vision).

F   Fuel status and aloft time left dependent of available fuel.

SHIFT + F
    Transfer fuel from external fuel tanks.

CTRL + F
    Jettison external fuel tanks.

S   Print scores, payload, occupancy, and mission status.

PERIOD Wheel brakes.

SHIFT + PERIOD
    Parking brakes.

B   Deploy/retract air brakes.

R   Refuel and/or repair (only when landed on a helipad with refuel and/or repair facilities).

Z   Decelerate time (slow motion).

SHIFT + Z
    Accelerate time (compress time).

CTRL + Z
    Normalize time rate.

CTRL + W
    Change weather.

CTRL + A
    Slew/flight toggle.

/   Literal command.

T   Increase time of day (does not affect other timmings).

SHIFT + T
    Decrease time of day (does not affect other timmings).

CTRL + D
    Adjust flight physics difficulty.

CTRL + S
    Adjust sound level.

CTRL + U
    Change units.

F9  Toggle ground base texture (not objects or landmarks).

F10 Toggle atmosphere.

F11 Toggle object texturing.

F12 Toggle clouds and horizon.

SHIFT + F9
    Toggle dual pass depth.

SHIFT + F10
    Toggle celestial objects.

SHIFT + F11
    Toggle smoke trails.

SHIFT + F12
    Toggle rotor wash effects.

JOYSTICK

In simulation joystick functions:

STICK AXIS XY
    Bank and pitch (respectivly).

STICK AXIS Z
    Heading/turning.

THROTTLE
    Throttle/collective.

HAT Camera direction/position.

Joystick button functions are mappable, see Options->Controller->Buttons.

AUTHORS

http://wolfpack.twu.net/contacts.html

CREDITS

Dan Stimits
    Code design consultant and beta testing

Stefan Marion
    Beta testing and aircraft design consultant

Capt Tara Milana
    Head programmer, 3d models, flight dynamics, and scenery graphics artist

Jesse Smith
    Coding and patching

SEE ALSO

Search and Rescue home page
    http://searchandrescue.sourceforge.net